EclaireXL - Feature #37

SD card insertion support
06/03/2017 09:57 PM - foft

Status: Closed Start date: 06/03/2017
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Description

If an SD card is removed/inserted we should detect it and initialize fat. Should be no need to reboot. The detect line is wired on the
PCB on v1 and v2.

Related issues:
Related to Feature #24: A board with Atari SOUL!!!! (ROM in block ram support) Closed 05/31/2017

History

#1 - 02/08/2018 07:56 PM - foft

- Status changed from New to In Progress

#2 - 02/08/2018 07:57 PM - foft

- Priority changed from Normal to Urgent

Another place we need to check hardware before new boards...

#3 - 02/08/2018 09:05 PM - foft

Confirmed that SD detect works.

Added primitive insert/eject support. Its kind of crap, but it works...

Boot with no SD card means -> 320KB compy 1x, HDMI if connected, VGA if connected, otherwise RGB 15KHz. NTSC (more monitors compatible)

If SD card removed then it detects it and marks disks as gone.
If SD card added then it detects it and inits the fat code, so the file selector works.

There are probably several things that can be done to crash it but its a starting point!

#4 - 02/08/2018 09:05 PM - foft

- Priority changed from Urgent to Normal

#5 - 02/08/2018 09:05 PM - foft
- Related to Feature #24: A board with Atari SOUL!!I! (ROM in block ram support) added

#6 - 02/18/2018 04:44 PM - foft

- Status changed from In Progress to Closed
